
function multip_exp = get_random_Char(short_len)

init = rand(360,1);

%K = 0.6.*rand(6,1) + 0.2;

% generuje cisla 3, 6, 9, 12..
X = randperm(4);
short_len = 3*X(1)

short_vector = rand(short_len,1);

  Z = 0.5;


init_exp(1) = 0.2*rand(1) + 0.4;
for i = 1:1:360
    
    init_exp(i+1) = Z*init_exp(i) + (1-Z)*init(i) 

end
% 
% figure(1)
% plot(init_exp, 'r');
% figure(2)
% plot(short_vector, 'r');


   i = 1;
for q = 1:1:short_len
 
    for k=1:1:(360/short_len)
        
        multip(i) = init_exp(i).*short_vector(q);
        
       i = i + 1;
    end
end

% figure(3)
% plot(multip)
% hold on;

multip_exp(1) = multip(1);
for i = 1:1:360
    
    multip_exp(i+1) = 0.9*multip_exp(i) + 0.1*multip(i) 

end

multip_exp = multip_exp*1.5;

%%%%%%%%%%%%
 for j = 1:1:180
     
     hold = multip_exp(1);
     
        for p = 1:1:359
    
         multip_exp(p) = multip_exp(p+1);
        end
        
     multip_exp(360) = hold;
  end

%%%%%%%%%%


% MyColor = rand(1, 3);

% figure(4)
% plot(multip_exp, 'color', MyColor)
% hold on;